> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new ReviewAssignment



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json post /api/entities/reviewassignment
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/reviewassignment:
    post:
      tags:
        - ReviewAssignment
      summary: Create a new ReviewAssignment
      operationId: createReviewAssignment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewAssignment'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    ReviewAssignment:
      properties:
        assignedAt:
          format: date-time
          type: string
        completedAt:
          format: date-time
          type: string
        eventId:
          type: string
        id:
          type: string
        orgId:
          type: string
        recusalReason:
          type: string
        recusedAt:
          format: date-time
          type: string
        reviewerUserId:
          type: string
        roundId:
          type: string
        status:
          type: string
        submissionId:
          type: string
      required:
        - id
        - orgId
        - eventId
        - roundId
        - submissionId
        - reviewerUserId
        - status
        - assignedAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````